loadstring(exports.dgs:dgsImportFunction())()
local sw,sh = guiGetScreenSize()
local px,py = sw/1366,sh/768
font1 = dgsCreateFont( ":cmta-pobieraniezasobow/OSB.ttf", 22*px )
font2 = dgsCreateFont( ":cmta-pobieraniezasobow/OSB.ttf", 16*px )
font3 = dgsCreateFont( ":cmta-pobieraniezasobow/OSB.ttf", 19*px )
font4 = dgsCreateFont( ":cmta-pobieraniezasobow/OSB.ttf", 14*px )
font5 = dgsCreateFont( ":cmta-pobieraniezasobow/OSB.ttf", 12*px )

cmtaPANELgieldy = false

addEvent("cmta_gielda:showGUI", true)
addEventHandler("cmta_gielda:showGUI", resourceRoot, function()
    showCursor(true)
    rndRect = dgsCreateRoundRect(0,false,tocolor(30,30,30,230))  
    rect = dgsCreateImage(350*px,150*py,666*px,468*py,rndRect,false)
    text0 = dgsCreateLabel(0*px,20*py,666*px,50*py,"Giełda pojazdów",false,rect)
    dgsSetFont( text0, font1 )
    dgsSetProperty(text0,"colorcoded",true)
    dgsSetProperty(text0,"alignment",{"center","top"})
    text = dgsCreateLabel(0*px,90*py,666*px,50*py,"#ff2828Minimalna kwota: #8080801000 punktów\n#ff2828Maksymalna kwota: #808080500 000 punktów\n#ff2828Podatek od sprzedaży: #8080803% #ff2828[0% dla kont #ffff00V.I.P#ff2828]",false,rect)
    dgsSetFont( text, font4 )
    dgsSetProperty(text,"colorcoded",true)
    dgsSetProperty(text,"alignment",{"center","top"})
    text2 = dgsCreateLabel(0*px,400*py,666*px,50*py,"#ffffffWysokość podatku jest przypisana do pojazdu w momencie wystawienia.\n#ff2828Pamiętaj, że przekazywanie majątku oraz handel realnymi pieniędzmi poza serwerem\n są karane stałą blokadą konta!",false,rect)
    dgsSetFont( text2, font5 )
    dgsSetProperty(text2,"colorcoded",true)
    dgsSetProperty(text2,"alignment",{"center","top"})
    edit1 = dgsCreateEdit( 170*px, 220*py, 326*px, 30*py, "Wprowadź kwotę...", false,rect )
    button1 = dgsCreateButton( 90*px, 320*py, 200*px, 40*py, "Wystaw pojazd", false,rect,false,false,false,false,false,false,tocolor(90,90,90),tocolor(221,107,32),tocolor(221,107,32))
    button2 = dgsCreateButton( 376*px, 320*py, 200*px, 40*py, "Zamknij", false,rect,false,false,false,false,false,false,tocolor(90,90,90),tocolor(221,107,32),tocolor(221,107,32))
    dgsSetFont( button1, font4 )
    dgsSetFont( button2, font4 )
    dgsSetFont( edit1, font5 )
    dgsSetProperty(edit1,"alignment",{"center","center"})
    addEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
    cmtaPANELgieldy = true
end)

addEvent("cmta_gielda:hideGUI", true)
addEventHandler("cmta_gielda:hideGUI", resourceRoot, function()
if isElement(rndRect) then
destroyElement(rndRect)
destroyElement(rect)
cmtaPANELgieldy = false
showCursor(false)
removeEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
end
end)

function onclick ( btn, state )
    if btn == "left" and state == "down" and cmtaPANELgieldy == true then
        if source == button1 then 
            local amount = dgsGetText ( edit1 )
            if not tonumber(amount) then
                exports['cmta-notyfikacje']:sendNotification("#FF0000Wykryto nieprawidłowość!\n#ffffffWprowadzona wartość nie jest liczbą.","error",3000)
            return
            elseif tonumber(amount) < 1000 then
                exports['cmta-notyfikacje']:sendNotification("#FF0000Wykryto nieprawidłowość!\n#ffffffWprowadzona kwota nie może być \nniższa niż 1000.","error",3000)
            return
            elseif tonumber(amount) > 500000 then
                exports['cmta-notyfikacje']:sendNotification("#FF0000Wykryto nieprawidłowość!\n#ffffffWprowadzona kwota nie może być \nwyższa niż 500 000.","error",3000)
            return
            elseif getElementHealth(getPedOccupiedVehicle(localPlayer)) < 800 then
                 exports['cmta-notyfikacje']:sendNotification("#FF0000Wykryto nieprawidłowość!\n#ffffffTwój pojazd jest zbyt mocno zniszczony.","error",3000)
            return
            end
            triggerServerEvent("cmta_gielda:addVehicle", resourceRoot,amount)
        end
        if source == button2 then 
            triggerEvent("cmta_gielda:hideGUI",resourceRoot)
        end
        if source == quit_button then
            removeEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
            destroyElement(effect3d)
            destroyElement(img)
            destroyElement(sp)
            showCursor(false)
            cmtaPANELgieldy = false
        end
        if source == buy_button then
            if tonumber(getElementData(localPlayer,"player:data").uid) == tonumber(getElementData(veh_data,"vehicle:gielda").value4) then
                exports['cmta-notyfikacje']:sendNotification("#FF0000Wykryto nieprawidłowość!\n#ffffffNie możesz kupić swojego pojazdu.","error",3000)
            return 
            end
            if tonumber(getElementData(localPlayer,"player:data").points) < tonumber(getElementData(veh_data,"vehicle:gielda").value13) then
                exports['cmta-notyfikacje']:sendNotification("#FF0000Wykryto nieprawidłowość!\n#ffffffNie posiadasz tyle punktów.","error",3000)
            return 
            end
            triggerServerEvent("cmta_gielda:buy_vehicle", resourceRoot,veh_data)
        end
    end
end



function znajdzprzezuid(uid)
    if not uid then return end
	for _,p in pairs(getElementsByType('player'),root,false) do
		if getElementData(p,"player:data").uid and getElementData(p,"player:data").uid == uid then return p end
	end
	return false
end



addEvent("cmta_gielda:show_info", true)
addEventHandler("cmta_gielda:show_info", resourceRoot, function(veh)
    if cmtaPANELgieldy then return end
    if isPedInVehicle(localPlayer) then return end
    veh_data = nil
    jest = nil
    local info = getElementData(veh,"vehicle:gielda")
	local online=znajdzprzezuid(info.value4)
	if online then jest="#00FF00" else jest="#FF0000" end
    showCursor(true)
    effect3d = dgsCreateEffect3D(20)
    sp = dgsCreateScrollPane(350*px,100*py,666*px,568*py,false,false)  
    img = dgsCreateImage(0,0,1,1,_,true,sp,tocolor(0,0,0,140))  
    dgsEffect3DApplyToScrollPane(effect3d,sp)
    text1 = dgsCreateLabel(10*px,50*py,666*px,50*py,"Informacje o pojeździe",false,img,tocolor(255,255,255))
    dgsSetFont( text1, font1 )
    dgsSetProperty(text1,"alignment",{"left","center"})
    text2 = dgsCreateLabel(10*px,100*py,200*px,50*py,"#808080Model: #ff2828"..getVehicleName(veh).."\n#808080ID: #ff2828"..(info.value2).."\n#808080Właściciel: #ff2828"..(info.value3).." [UID: "..(info.value4).."] "..jest.."◉\n#808080Cena salonowa: #ff2828"..(info.value5).." punktów\n#808080Przebieg: #ff2828"..(math.floor(info.value6)).." kilometrów\n#808080Napęd: #ff2828"..(info.value7).."\n#808080Silnik: #ff2828"..(info.value8).." cm3\n#808080Typ silnika: #ff2828"..(info.value9).."\n#808080Paintjob: #ff0000"..(info.value10).."\n#808080Pojemność baku: #ff2828"..(info.value11).." Litrów\n#808080Dodatki: #ff2828Kolor licznika (#ff0000█████#808080), #ff2828mk1, #ff2828mk2, #ff2828mk3\n#808080Data wystawienia: #ff2828"..(info.value12).."",false,img,tocolor(80,80,80))
    dgsSetFont( text2, font2 )
    dgsSetProperty(text2,"colorcoded",true)
    dgsSetProperty(text2,"alignment",{"left","top"})
    veh_data = veh
    text3 = dgsCreateLabel(10*px,430*py,666*px,50*py,"Cena pojazdu #ff2828"..(info.value13).." punktów",false,img,tocolor(255,255,255))
    dgsSetFont( text3, font3 )
    dgsSetProperty(text3,"colorcoded",true)
    dgsSetProperty(text3,"alignment",{"left","center"})
    
    buy_button = dgsCreateButton( 50*px,500*py,266*px,30*py, "Kup pojazd", false,img,false,false,false,false,false,false,false,tocolor(221,107,32),tocolor(255,40,40),tocolor(255,40,40))
    quit_button = dgsCreateButton( 350*px,500*py,266*px,30*py, "Zamknij", false,img,false,false,false,false,false,false,false,tocolor(221,107,32),tocolor(255,40,40),tocolor(255,40,40))
    dgsSetFont( buy_button, font4 )
    dgsSetFont( quit_button, font4 )
    cmtaPANELgieldy = true
    addEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
end)

addEvent("cmta_gielda:hide_info", true)
addEventHandler("cmta_gielda:hide_info", resourceRoot, function()
    if isElement(img) then
    destroyElement(effect3d)
    destroyElement(img)
    destroyElement(sp)
    showCursor(false)
    cmtaPANELgieldy = false
    removeEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
    end
end)
